{ pkgs, ... }:
{
  programs.nixvim = {
    extraPackages = with pkgs; [ fd ];
    enable = true;
    viAlias = true;
    vimAlias = true;
    colorschemes.catppuccin.enable = true;
    plugins = {
      conform-nvim = {
        enable = true;
      };
      treesitter.enable = true;
      cmp.enable = true;
      cmp-nvim-lsp.enable = true;
      lsp.enable = true;
    };
  };
}
